#include<bits/stdc++.h>
using namespace std;
// svi veci od 0
int main(){
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(nullptr);

    int n,k,x,c=1;
    cin >> n >> k >> x;
    vector<int>a(n);
    vector<int>K(k);
    for(int i=0;i<n;i++){
        cin >> a[i];
    }
    for(int p=0; p< n-k; p++){
        K[k-1]=a[p+k-1];
        int s=0;
        int q=0;
        for(int i=k-2; i <-1; i--)
            K[i]= a[p+i] + K[i+1];
        while( x >= c){
            s+= K[q];
            q++;
        }
        K.clear();
        cout<<s;
    }

    return 0;
}